[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Sub::Uplevel and perl 5.8.8



Hi,

The perl module Sub::Uplevel is generating warnings under perl 5.8.8
(this didn't happened with perl 5.8.6 and 5.8.7).  I believe something
related to caller() must have changed in perl 5.8.8 but I am unable to
pinpoint the source of the problem (caller appears to be returning undef
in a new situation).

These warnings are causing major problems in other packages:
  * perl-Test-Warn fails to build (test problems)
  * perl-Test-Exception produces a couple of warnings during the
    test suite execution
  * perl-WWW-Mechanize fails to build (test failures)

I have a patch already in CVS (perl-Sub-Uplevel devel branch) but I
would appreciate feedback before releasing a new build of the
perl-Sub-Uplevel. Additional information is available in ticket #182488
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=182488)

Thanks in advance,
jpo
-- 
José Pedro Oliveira
* mailto: jpo di uminho pt * http://gsd.di.uminho.pt/jpo *
* gpg fingerprint = F9B6 8D87 859D 1C94 48F0 84C0 9749 9EB5 91BD 851B *

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]